# SafePipe | CICADA
Documentation for CICADA

### Hierarchy

- SafePipe

### Implements

- PipeTransform

## Index

### Constructors

- constructor

### Methods

- transform

## Constructors

### constructor

- new SafePipe(sanitizer: DomSanitizer): SafePipe

- - Defined in src/app/shared/_pipes/safe.pipe.ts:7

  #### Parameters

  - ##### sanitizer: DomSanitizer

  #### Returns SafePipe

## Methods

### transform

- transform(url: string, ...args: unknown[]): unknown

- Implementation of PipeTransform.transform

  - Defined in src/app/shared/_pipes/safe.pipe.ts:10

  #### Parameters

  - ##### url: string

  - ##### Rest ...args: unknown[]

  #### Returns unknown

Generated using TypeDoc